<template>
    <!-- quarantine -->
    <div class="Quarantine">
        <h2 style="margin-bottom: 20px;padding-bottom:7px;border-bottom:2px solid #ddd">零散信息</h2>
        <div class="left">
            <el-form ref="form" :model="form" label-width="140px">
                <el-form-item label="未检疫">
                    <el-input v-model="form.noQuarantined"></el-input>
                </el-form-item>
                <el-form-item label="已检疫">
                    <el-input v-model="form.quarantined"></el-input>
                </el-form-item>
                <el-form-item label="总存栏">
                    <el-input v-model="form.total"></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button style="margin-left:60%" type="primary" @click="onSubmit">更新信息</el-button>
                </el-form-item>
            </el-form>
        </div>
    </div>
</template>

<script>
import { reqQuarantine, reqSetQuarantine } from "@/api/butcher.js";
export default {
    name: "Quarantine",
    data() {
        return {
            form: {
                id: '-1',
                noQuarantined: "",
                quarantined: "",
                total: ""
            }
        };
    },
    created() {
        this.getQuarantine();
    },
    methods: {
        onSubmit() {
            this.$confirm("确定更新信息？").then(() => {
                console.log(this.form)
                reqSetQuarantine(this.form)
                    .then(res => {
                        if (res.errCode) {
                            this.$message.error(res.errMsg);
                        } else {
                            this.getQuarantine();
                            this.$message.success("更新成功！");
                        }
                    })
                    .catch(err => {
                        console.log(err);
                        this.$message.error("更新失败！");
                    });
            });
        },
        getQuarantine() {
            reqQuarantine()
                .then(res => {
                    this.form = res.conf;
                    this.form.id = res.id
                })
                .catch(err => {
                    console.error(err);
                });
        }
    }
};
</script>

<style lang="scss" scoped>
.Quarantine {
    .left {
        width: 400px;
        margin-left: 50px;
    }
}
</style>